# Üldinfo
Kõigis ülesannetes:
* Limiidid on kirjas võistlussüsteemi lehel "Ülevaade".
* Võistluse serverist saad abifailide paki, milles on nii hindamisprogrammi kui ka lahendusfailide näited, näidissisendid ning kompileerimis- ja käitamisskriptid.
* Igal ülesandel on alamülesanne indeksiga 0, mis on väärt 0 punkti. Selle alamülesande testid vastavad näidissisenditele abifailide pakis.
* Võid igale ülesandele lahendusi esitada kuni 50 korda. Iga esitus peab olema ühes failis.
* Oma lahendust näidishindajaga testides pead kasutama sisendit, mis vastab ülesande tekstis kirjeldatud vormingule ja piirangutele. Vastasel juhul on hindamisprogrammi käitumine ennustamatu. Hindamisprogrammi sisendis peab iga kahe samal real kõrvuti oleva lekseemi (sõna või arvu) vahel olema üks tühik, kui ülesande tekstis pole öeldud teisiti.
* Oma lahendusi oma arvutis testides soovitame kasutada abifailide pakis olevaid skripte. Pane tähele, et kasutame kompilaatori käsureal `-std=gnu++17` võtit.
* Kui sa ei saa lahendusi CMS liidese kaudu esitada, siis võid kasutada `ioisubmit` käsku, et saata oma lahendused hindamiseks (see toimub pärast võistluse lõppu).
  - Käivita `ioisubmit <ülesande_lühinimi> <lähtekoodi_fail>` kaustas, kus asub `<lähtekoodi_fail>` (fail, mida soovid esitada).
  - Palu komitee liikmel teha käsu `ioisubmit` väljundist pilt. Kui see samm tegemata jääb, siis lahendust ei hinnata.
  - Lahendus võetakse arvesse vaid koos võistkonna juhendaja esitatud apellatsiooniga.

# Tähistused

Ülesannete tekstides on funktsioonide signatuurid antud abstraktsete tüüpidega `void`, `char`, `int`, `int[]` (massiiv), `int64` ja `int64[]` (massiiv).

Keeles C++ kasutavad hindamisskriptid järgmisi andmetüüpe või realisatsioone:

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | massiivi `a` pikkus |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |