# הודעה

בכל המשימות:

* מגבלות הזמן והזכרון זמינות בעמוד "Overview" במערכת התחרות.
* יש חבילת קבצים מצורפת שאתם יכולים להוריד ממערכת התחרות, המכילה גריידרים לדוגמה, דוגמאות מימוש, טסטים לדוגמה, וסקריפטים לקימפול ולהרצה.
* לכל משימה יש תת משימה באינדקס 0 ששווה 0 נקודות. הטסטקייסים לתת המשימה הזאת זהים לטסטקייסים לדוגמה המצורפים בחבילת הקבצים המצורפת הניתנת להורדה.
* אתם יכולים לבצע עד 50 הגשות בכל משימה, ועליכם להגיש בדיוק קובץ אחד בכל הגשה. 
* בעת בדיקת התוכנית שלכם עם הגריידר לדוגמה, על הקלט שלכם להתאים לפורמט ולמגבלות מתיאור המשימה. אחרת, התנהגויות לא מוגדרות עלולות להתרחש. כל שני סימבולים עוקבים בשורה מופרדים ע"י רווח בודד, אלא אם כן פורמט אחר צוין במפורש.
* כאשר אתם בודקים את הקוד שלכם לוקאלית, אנו ממליצים לכם להשתמש בסקריפטים שבחבילת הקבצים המצורפת. שימו לב שאנו משתמשים בדגל `-std=gnu++17` של הקומפיילר.
* אם אינכם מסוגלים להגיש ל-CMS, אתם יכולים להשתמש בכלי `ioisubmit` כדי לשמור את הקוד שלכם לבדיקה לאחר סוף התחרות. 
  * הריצו את הפקודה הבאה מהתיקיה המכילה את `<source_file>` - הקובץ שאתם רוצים להגיש:
`ioisubmit <task_shortname> <source_file>`
   * בקשו מחבר וועדה לצלם תמונה של הפלט של `ioisubmit`. ההגשה שלכם תיפסל אלא אם כן צעד זה בוצע.
   * ההגשה שלכם תישקל אם היא תהיה מלווה בערעור מלידר הקבוצה שלכם.

# קונבנציות

בתיאור המשימות משתמשים בחתימות עם שמות הטיפוסים הגנריים `int[]`, `int`, `char`, `void` (מערך), `int64` ו- `int64[]` (מערך).
ב-++C, הגריידרים משתמשים בטיפוסים מתאימים או במימושים שלהם, כמתואר למטה

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]` | `a` אורך מערך|
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |


