# Notice

Với tất cả các bài::

* Giới hạn thời gian và bộ nhớ có ở trang "Overview" của hệ thống thi đấu.
* Có thể tải xuống gói đính kèm từ hệ thống thi đấu bao gồm các trình chấm mẫu, các cài đặt mẫu, các test ví dụ, các mẫu dịch và chạy chương trình.
* Mỗi bài có một subtask đánh số 0 được 0 điểm. Các test của subtask này chính là các test ví dụ trong gói đính kèm có thể tải xuống.
* Bạn có thể nộp lời giải 50 lần cho mỗi bài và bạn phải nộp duy nhất một file cho mỗi lần nộp lời giải.
* Khi kiểm tra chương trình bằng trình chấm mẫu, đầu vào của bạn phải đúng với định dạng và các giới hạn trong đề bài, nếu không, các hành vi không xác định có thể xảy ra. Hai token liên tiếp nhau trên một dòng được phân cách bởi duy nhất một dấu cách, trừ khi một định dạng khác được nêu cụ thể trong đề bài.
* Khi bạn kiểm tra mã chương trình của bạn trên máy của mình, chúng tôi khuyến cáo bạn nên sử dụng các mẫu dịch và chạy trong gói đính kèm được tải xuống từ hệ thống. Lưu ý rằng chúng tôi sử dụng lựa chọn biên dịch `-std=gnu++17`.
* Nếu bạn không thể nộp lời giải đến hệ thống thi đấu CMS, bạn có thể dùng công cụ `ioisubmit` để lưu mã chương trình của bạn để được đánh giá sau khi cuộc thi kết thúc.
  - Chạy lệnh sau trong thư mục chứa  `<source_file>` - tệp mà bạn muốn nộp:
`ioisubmit <task_shortname> <source_file>`
  - Đề nghị một thành viên hội đồng giám khảo chụp ảnh kết quả của lệnh `ioisubmit`. Lời giải của bạn sẽ bị từ chối đánh giá trừ khi bước này được thực hiện.
  - Lời giải của bạn chỉ được đánh giá nếu có khiếu nại từ Trưởng đoàn của bạn.

# Convention
Các đề bài sử dụng các nguyên mẫu hàm với các kiểu chung như `void`, `char`, `int`, `int[]` (mảng), `int64` and `int64[]` (mảng).

Trong C++, các trình chấm sử dụng các kiểu dữ liệu hoặc cài đặt thích hợp, như liệt kê dưới đây

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | độ dài mảng `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |
