
# Pemberitahuan

Untuk semua soal:

* Batasan waktu and memori tersedia di halaman "Overview" dalam sistem kontes.
* Terdapat sebuah paket lampiran yang dapat Anda unduh melalui sistem kontes yang mengandung contoh *grader*, contoh implementasi, contoh kasus-kasus uji, dan *script* untuk *compile* dan *run*.
* Setiap soal memiliki sebuah subsoal dengan indeks 0 yang bernilai 0 poin. Kasus-kasus uji untuk subsoal ini sama dengan contoh kasus-kasus uji yang terdapat dalam lampiran.
* Anda dapat mengirimkan hingga 50 submisi untuk setiap soal, dan Anda harus mengirimkan tepat satu buah berkas dalam setiap submisi.
* Ketika menguji sebuah program menggunakan contoh *grader*, masukan Anda harus mengikuti format dan batasan dari soal, atau hal yang tidak terduga dapat muncul. Setiap dua token berturut-turut dalam sebuah baris dipisahkan oleh sebuah spasi, kecuali format lainnya disebutkan secara eksplisit.
* Ketika Anda menguji kode Anda pada mesin lokal Anda, kami menyarankan Anda untuk menggunakan *script* dari paket lampiran. Perhatikan bahwa kami menggunakan opsi *compiler* `-std=gnu++17`.
* Jika Anda tidak dapat melakukan pengumpulan ke CMS, Anda dapat menggunakan `ioisubmit` untuk menyimpan kode Anda untuk dinilai setelah kontes berakhir.
  - Jalankan perintah berikut dari direktori yang mengandung `<source_file>` - berkas yang ingin Anda kumpulkan:
`ioisubmit <task_shortname> <source_file>`
  - Mintalah anggota komite untuk mengambil foto dari keluaran `ioisubmit`. Submisi Anda akan ditolak jika langkah ini tidak dilakukan.
  - Submisi Anda hanya berlaku apabila submisi disertai dengan sebuah banding dari *Team Leader* Anda.

# Konvensi

Deskripsi soal-soal menggunakan nama-nama tipe umum seperti `char`, `int`, `int64`, `int[]` (*array*), dan `int[][]` (array dalam array).

Dalam C++, *grader* menggunakan tipe data atau implementasi yang sesuai dengan daftar berikut

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | length of array `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |
