# Note

Per ogni task:

* I limiti di tempo e memoria sono disponibili nella sezione "Overview" del sistema di gara.
* Puoi scaricare come allegati grader, template, esempi e **script per compilare ed eseguire**.
* Esiste anche il subtask 0 dei casi di esempio, che vale 0 punti.
* Puoi inviare ﬁno a 50 sottoposizioni di un singolo ﬁle.
* Per utilizzare il grader di esempio devi rispettare il formato in input, in cui token sulla stessa
riga sono separati da spazi.
* Per testare il codice sulla tua macchina, consigliamo di usare gli script allegati. Nella
valutazione viene usato `-std=gnu++17`.
* Se per qualsiasi motivo non potessi utilizzare CMS, puoi usare il comando `ioisubmit` per
salvare il tuo codice in modo che venga valutato dopo la ﬁne del contest:
  - Esegui `ioisubmit <nomebreve> <sorgente>` nella cartella di `<sorgente>`.
  - **Chiedi a un organizzatore di fare una foto all'output di `ioisubmit`**

# Convenzioni
I testi dei problemi speciﬁcano i tipi usando i nomi generici `void`, `char`, `int`,  `int[]` (array), `int64` e `int64[]` (array).

In C++, i grader usano tipi e strutture dati appropriati, come di seguito:

| `void` | `char` | `int` | `int[]` |
| ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]` | lunghezza dell'array `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`  |