# Ескерту

Бүкіл есептер үшін:

* Уақыт пен жад шектеулері контест жүйесіндегі «Overview» бетінде қолжетімді.
* Контест жүйесінен жүктеп алуға болатын тіркеме архив бар. Оның ішінде үлгі бағалаушылар, іске асыру үлгілері, мысал тесттер және бағдарламаны іске қосу үлгілері бар.
* Әрбір есепте 0 ұпайға бағаланатын индексі 0 бөлімше(subtask) бар. Бұл бөлімшедегі тесстер дәл жүктеп алынатын архивтегі тесттік жағдайларымен бірдей.
* Сіз әрбір есепке 50-ге дейін тапсырыс жасай аласыз және әрбір тапсырыста бір файл ғана жіберу керексіз.
* Үлгі бағалаушының мысал енгізбелерінде әрбір екі қатар орналасқан белгі, басқаша
формат нақты көрсетілмеген болса, тура бір кетікпен бөлінген.
 Басқа пішім анық көрсетілмесе, жолдағы әрбір екі токенді таңбалауыш бір бос орынмен бөлінеді.
* Кодыңызды өзіңіздің құрылғыңызда тексерген кезде, бекітілген архивте берілген
скриптерді қолдануыңызды ұсынамыз. -std=gnu++17 компилятор опциясына мән
беруіңізді сұраймыз.

* Егер CMS-ке бағалауға тапсыра алмай жатсаңыз, кодыңызды контест бітуінен кейін
бағалауға сақтап қою үшін ioisubmit құралын қолдануынызға болады.

   - <source_file> - директориясында ioisubmit ioisubmit <task_shortname> <source_file> командасын орындаңыз.
   - Комитет мүшесінен  ioisubmit командасының шықпасының сүретін түсіріп
алуын сұраңыз. Осы қадам орындалмайынша сіздің бағалауға жіберуіңіз
саналмайды.
   - Сіздің өтінішіңіз тек топ жетекшісінің өтінішімен бірге болған жағдайда ғана қарастырылады.

# Келісім

Есептердің берілгенінде код сигнатуралары жалпы болып саналатын bool, int, int64, int[] (жиым), және int[][] (жиымдар жиымы).

C++ тілінде, бағалаушылар тіл синтаксисына сәйкес астында берілгендей түрлер қолданады.


| bool | int | int64     | int[]            |
| ------ | ----- | ----------- | ------------------ |
| bool | int | long long | std::vector<int> |

| int[][]                       | a жиымының өлшемі |
| ------------------------------- | ------------------- |
| std::vector<std::vector<int>> | a.size()          |