# Эскертүү

Бардык тапшырмалар үчүн:

* Убакыт жана эстутум чектөөлөрү сынак системасындагы "Overview" бетинде жеткиликтүү.
* Сынактын тутумунан жүктөп ала турган тиркеме топтому бар, анда үлгү грейдерлерди, ишке ашыруунун үлгүлөрүн, мисал сыноо учурларын жана скрипттерди түзүп жана иштете аласыз.
* Ар бир тапшырмада индекси 0 болгон кошумча тапшырма бар, ал 0 упайга барабар. Бул  тапшырмача үчүн сыноо учурлары жүктөлүп алынуучу тиркемедеги үлгү сыноо учурлары менен бирдей.
* Ар бир тапшырма үчүн 50гө чейин тапшыра аласыз жана ар бир тапшырууда так бир файл тапшырышыңыз керек.
* Үлгү грейдер менен программаны сынап жатканда, сиздин киргизгениңиз тапшырма билдирүүсүндөгү форматка жана чектөөлөргө дал келиши керек, антпесе, такталбаган жүрүм-турум пайда болушу мүмкүн. Эгерде башка формат ачык көрсөтүлбөсө, саптагы ар бир эки ырааттуу белги бир боштук менен бөлүнөт.
* Кодуңузду жергиликтүү машинаңызда сынап көргөнүңүздө, тиркеме пакеттериндеги скрипттерди колдонууну сунуштайбыз. Сураныч, биз `-std=gnu++17` компилятор опциясын колдонобуз.
* Эгер сиз CMSке тапшыра албасаңыз, сынак аяктагандан кийин баалоо үчүн кодуңузду сактоо үчүн `ioisubmit` куралын колдонсоңуз болот.
   - Сиз тапшыргыңыз келген файлды камтыган `<source_file>` каталогунан төмөнкү буйрукту аткарыңыз:
`ioisubmit <task_shortname> <source_file>`
   - Комитеттин мүчөсүнөн `ioisubmit` чыгарууну сүрөткө тартууну сураныңыз. Бул кадам аткарылмайынча, тапшырганыңыз четке кагылат.
   - Сиздин билдирүүңүз, эгерде сиздин командаңыздын жетекчисинин кайрылуусу менен коштолсо гана каралат.

# Келишим

Тапшырма билдирмелери  `void`, `char`, `int`, `int[]` (массив), `int64` жана `int64[]` (массив). (массивдердин массивдери) жалпы типтеги аталыштарды колдонуу менен сигнатураларды аныктайт.

C++ тилинде грейдерлер төмөндө келтирилгендей тиешелүү маалымат түрлөрүн же ишке ашырууларды колдонушат

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | length of array `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |

