
# Pastabos

Visiems uždaviniams:

* Laiko ir atminties ribojimai matomi varžybų sistemos „Overview“ puslapyje.
* Iš varžybų sistemos galite parsisiųsti failų paketą, kuriame yra pavyzdinės vertinimo programos, pavyzdinės realizacijos, pavyzdiniai testai ir kompiliavimo bei paleidimo komandos.
* Kiekvienas uždavinys turi 0-inę dalinę užduotį, kuri verta 0 taškų. Šios dalinės užduoties testai sutampa su uždavinio pavyzdiniais testais, randamais uždavinio failų pakete.
* Kiekvienam uždaviniui sprendimą galite pateikti ne daugiau nei 50 kartų, kiekvieną sprendimą sudaro lygiai vienas failas.
* Testuodami savo sprendimą su pavyzdine vertinimo programa įsitikinkite, kad jūsų pateikiami duomenys atitinka formatą ir ribojimus, pateiktus uždavinio aprašyme; priešingu atveju gali būti neapibrėžta elgsena. Gretimi skaičiai ar žodžiai atskiriami vienu tarpu, nebent aiškiai nurodytas kitoks formatas.
* Testavimui savo kompiuteriuose rekomenduojame naudoti failų paketuose esančias kompiliavimo komandas. Atkreipkite dėmesį, kad šios komandos naudoja `-std=gnu++17` kompiliavimo nuostatą.
* Jei nepavyksta pateikti sprendimo per CMS,  galite naudoti `ioisubmit` įrankį, kuris išsaugos jūsų sprendimą, kad jis būtų vertinamas pasibaigus varžyboms.
  - Paleiskite šią komandą iš katalogo, kuriame yra `<sprendimo_failas>` - failas, kurį norite pateikti:
`ioisubmit <uždavinys> <sprendimo_failas>`
  - Paprašykite komiteto nario nufotografuoti `ioisubmit` rezultatą. Jei to nepadarysite, jūsų sprendimas bus atmestas.
  - Jūsų sprendimas galės būti įskaitytas tik jei komandos vadovas pateiks apeliaciją.

# Sutartiniai žymėjimai

Uždavinių aprašymuose funkcijos aprašomos naudojant bendrinius tipų vardus `bool`, `int`, `int64`, `int[]` (masyvas), and `int[][]` (masyvų masyvas).

C++ kalboje vertinimo programos naudoja duomenų tipus, pateiktus lentelėje žemiau:


| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | masyvo `a` ilgis |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |