# Paziņojums
Visos uzdevumos:

* Laika un atmiņas limiti ir pieejami "Overview" lapā sacensību sistēmā.
* Ir pieejams failu arhīvs, ko jūs varat lejupielādēt no sacensību sistēmas. Tas satur piemēra vērtētājprogrammas, piemēra implementācijas, testpiemērus, kompilēšanas un izpildes skriptus.
* Katram uzdevumam ir apakšuzdevums ar indeksu 0, kurš ir vērts 0 punktus. Šī apakšuzdevuma testpiemēri ir tādi paši, kādi ir piemēra testi lejupielādējamajā failu arhīvā.
* Jūs varat iesniegt ne vairāk kā 50 risinājumus katrā uzdevumā, un jums ir jāiesniedz tieši viens fails katrā risinājumā.
* Kad testējat programmu ar piemēra vērtētājprogrammu, ievaddatiem jāsakrīt ar formātu un ierobežojumiem no uzdevuma apraksta, citādi programma var uzvesties nedefinētā veidā. Katras divas sekojošas simbolu virknes vienā rindā tiek atdalītas ar vienu atstarpi, ja vien cits formāts nav skaidri definēts.
* Kad jūs testējat jūsu programmu uz jūsu lokālā datora, mēs rekomendējam jums lietot skriptus no pievienotā failu arhīva. Lūdzu, ņemiet vērā, ka mēs lietojam `-std=gnu++17` kompilatora opciju.
* Ja nevarat iesniegt risinājumu CMS, jūs varat izmantot `ioisubmit` rīku, lai saglabātu jūsu kodu novērtēšanai pēc sacensību beigām.
	- Izpildiet sekojošo komandu no direktorijas, kas satur `<source_file>` - failu, ko jūs vēlaties iesniegt: 
	  `ioisubmit <task_shortname> <source_file>`
	- Pajautājiet kādam komisijas loceklim uzņemt attēlu ar izvadu no `ioisubmit`. Jūsu iesniegums tiks noraidīts, ja neveiksiet šo soli.
	- Jūsu iesniegums tiks izskatīts tikai tad, ja jūsu komandas vadītāji iesniegs apelāciju.

# Pieņēmumi
Uzdevuma apraksti definē funkcijas lietojot vispārējus tipu nosaukumus `void`, `char`, `int`, `int[]` (masīvs), `int64` un `int64[]` (masīvs).


C++ vērtētājprogrammas izmanto atbilstošus datu tipus un struktūras, kas minētas zemāk

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | garums masīvam `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |