# Тэмдэглэл

Бүх бодлогын хувьд:

* Контест системийн "Overview" хуудсанд бодлогын хугацаа болон санах ойн мэдээлэл
бий.
* Жишээ грейдер, жишээ хэрэгжүүлэлт, жишээ тест болон хөрвүүлэн ажиллах скрипт
бүхий файлуудын багцын хавсралтыг контест системээс татаж авч болно.
* Бодлого бүр 0 оноо бүхий 0 дугаартай дэд бодлоготой байна. Энэ дэд бодлогын тест нь
таны татаж авсан хавсралт (attachment)-ын жишээ тесттэй ижил байна.
* Та бодлого бүрийг 50 удаа submit хийж болох ба submit хийх бүрдээ зөвхөн нэг файлыг
л submit хийнэ.
* Жишээ гредерийг турших үед таны оролтын өгөгдөл тухайн бодлогын өгүүлбэрт өгсөн
форматтай тохирч байх ёстой, ингээгүй бол тодорхойгүй үйлдэл гарч болзошгүй.
Бодлогын өгүүлбэрт форматыг өөрөөр заагаагүй бол оролтын мөрөнд дэх дараалсан
хоёр өгөгдөл бүрийн хооронд нэг хоосон зайгаар тусгаарлана.
* Та компьютер дээрээ кодоо ажиллуулж тестлэх үедээ бидний санал болгосон
хавсаргасан багцын файлын скриптүүдийг ашиглахыг зөвлөж байна. Кодыг
хөрвүүлэхэд `-std=gnu++17` гэсэн компайлерийн тохируулгыг ашигладаг болохыг
анхаарна уу.
* Хэрэв та CMC рүү submit боломжгүй бол тухайн өдрийн уралдаан дууссаны дараа
үнэлүүлэхэд зориулан өөрийн бичсэн программын кодоо ioisubmit хэрэгсэл (tool)-ийг
ашиглан хадгална уу.
	- Хадгалахыг хүссэн файл `<source_file>`-ыг агуулж буй хавтсан дотроос дараах
командыг ажиллуулна уу. `ioisubmit <task_shortname> <source_file>` 
	- Олимпиадыг зохион байгуулах хорооны гишүүнд хандан `ioisubmit`-ийн хийсэн үр
дүнгийн зургийг авхуулна уу. Энэ алхмыг хийгээгүй тохиолдолд таны submit
хийсэн үйлдлийг татгалзах (reject) болно гэдгийг анхаарна уу.
	- Таны хийсэн submission нь зөвхөн багийн ахлагчийн давж заалдах хүсэлт (appeal)
гаргаснаар үзэх ёстой болно.

# Convention

Бодлогын өгүүлбэрт `void`, `char`, `int`, `int[]` (array), `int64` and `int64[]` (array) зэрэг
ерөнхий төрлийн нэрийг ашиглана.

Тухайлбал, C++ хэл дээрх хэрэгжүүлэлтэд дор үзүүлсэн байдлаар өгөгдлийн төрлүүдийг
харгалзуулан ашигладаг.

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | length of array `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |