# Not

Tüm görevler için:

* Zaman ve bellek sınırlamaları, yarışma sisteminin "Genel Bakış (Overview)" sayfasında bulunmaktadır.
* Yarışma sisteminden indirebileceğiniz bir ek paket mevcuttur; bu paket, örnek değerlendiricileri, örnek kodlamaları, örnek test senaryolarını ve derleme ve çalıştırma komut dosyalarını içerir.
* Her görevin 0 indisli bir alt görevi bulunur ve bu alt görev 0 puan değerindedir. Bu alt görev için test senaryoları, indirilebilir ekteki örnek test senaryoları ile aynıdır.
* Her görev için en fazla 50 gönderim yapabilirsiniz ve her gönderide tam olarak bir dosya göndermelisiniz.
* Örnek değerlendirici kullanarak bir programı test ederken girdi, görev açıklamasındaki format ve kısıtlamalarla eşleşmelidir; aksi takdirde belirsiz davranışlar ortaya çıkabilir. Bir satırdaki her iki ardışık simge arasında farklı bir format belirtilmedikçe yalnızca bir boşluk bulunur.
* Kodunuzu yerel makinenizde test ederken, ek paketlerden gelen komut dosyalarını kullanmanızı öneririz. Lütfen `-std=gnu++17`  derleyici seçeneğini kullandığımızı unutmayın.
* Eğer CMS'ye gönderim yapamıyorsanız, kodunuzu yarışmanın sonundan sonra değerlendirme amacıyla `ioisubmit` aracını kullanabilirsiniz.
 - `<source_file>`  adlı dosyanın - göndermek istediğiniz dosya bulunduğu dizinde aşağıdaki komutu çalıştırın:
`ioisubmit <task_shortname> <source_file>`
- Bir komite üyesinden `ioisubmit` çıktısını fotoğrafını çekmesini isteyin. Bunu yapmazsanız gönderiminiz reddedilecektir.
- Gönderiminiz, Takım Liderinizden gelen bir itirazla birlikte yapılmadıkça dikkate alınmayacaktır.

# Konvensiyon (genel uygulama)

Görev ifadeleri, `char`, `int`, ve `int[]` (dizi) genel tür adlarını kullanarak imzaları belirtir.

C++'da grader'lar aşağıda listelendiği gibi uygun veri türlerini veya kodlamaları kullanır


| `char` | `int` | `int[]`            |  `a` dizisinin uzunluğu|
| ------ | ----- | ------------------ | ------------------- |
| `char` | `int` | `std::vector<int>` | `a.size()`          |
