# Eslatma

Barcha masalalar uchun:
* Vaqt va xotira cheklovlari musobaqa tizimidagi "Overview" sahifasida mavjud.
* Musobaqa tizimidan yuklab olishingiz mumkin bo'lgan qo'shimcha paket mavjud bo'lib, unda namunaviy grader lar, namunaviy implementation lar, namunaviy test case lar, va compile va run qilish script lari mavjud.
* Har bir masala 0 ballik 0 - tartibli subtask dan boshlanadi. Bu subtaskning test case lari yuklab olingan qo'shimcha paketdagi test case lar bilan bir xil bo'ladi.
* Siz har bir masala uchun 50 tagacha urinish qilishingiz mumkin, ammo barcha urinishingizda bitta faylni topshirishingiz kerak.
* Namunaviy grader bilan dasturni testlayotganingizda kiritiladigan ma'lumotlar masala bayonotidagi format va cheklovlarga mos kelishi kerak, aks holda noma'lum xatoliklar yuzaga kelishi mumkin. Agar masala bayonotida kiritish formati anniq ko'rsatilmagan bo'lsa bitta qatordagi ikkita token o'zaro bo'sh joy(пробел) bilan ajratilgan bo'ladi.
* Siz o'z dasturingizni local kompyuterda testlayotganingizda biz sizga yuklab olgan paketingizdagi scriptlardan foydalanishni tavsiya etamiz. Yodda tutingki biz `-std=gnu++17` kompilyatoridan foydalanamiz.
* Agar siz dastur kodingizni CMS(musobaqa bo'layotgan tizim) ga yubora olmasangiz siz dasturingizni musobaqa tugaganidan keyin baholatish uchun `ioisubmit` instruksiyasidan foydalanib saqlashingiz mumkin.
  - Siz yubormoqchi bo'lgan fayl `<source_file>` ni o'z ichiga olgan katalogdan quyidagi buyruqni bajaring
`ioisubmit <task_shortname> <source_file>`
  - Qo'mita a'zosidan `ioisubmit` chiqish natijasini suratga olishini so'rang. Agar bu qadam bajarilmasa sizning arizangiz rad etiladi.
  - Sizning arizangiz faqat Team Leaderingizning apelatsiyasi bilan birga bo'lsa ko'rib chiqiladi.

# Konventsiya
Masala bayonotlari `void`, `char`, `int`, `int[]`, `int64` va `int64[]` (massiv) - umumiy toifa nomlari orqali izohlangan.

C++ tilida grayderlar quyida sanab o'tiladigan tegishli ma'lumot turlari yoki implementatsiyalardan foydalaniladi:

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | length of array `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |